---
title: TouchList.identifiedTouch()
slug: Web/API/TouchList/identifiedTouch
tags:
  - API
  - DOM
  - DOM Reference
  - Method
  - Mobile
  - Reference
  - TouchList
  - touch
---
<p>{{APIRef("Touch Events")}}{{deprecated_header}}</p>

<p>The <code><strong>identifiedTouch()</strong></code> method returns the first {{ domxref("Touch") }} item in the {{ domxref("TouchList") }} that matches the specified identifier.</p>

<div class="notecard note">
<p>It is recommended that you use {{domxref("TouchList.item()")}} instead.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>touchItem</em> = <em>touchList</em>.identifiedTouch(<em>id</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>id</code></dt>
 <dd>An integer value identifying the {{ domxref("Touch") }} object to retrieve from the list.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt><code>touchItem</code></dt>
 <dd>A {{ domxref("Touch") }} object matching the specified <code>id</code>.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<p>Not part of any specification. This API was removed from the Touch Events v2 draft specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.TouchList.identifiedTouch")}}</p>
